package org.dromara.domain.blackManage.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.domain.blackManage.BlackManage;

/**
 * 黑名单管理业务对象 black_manage
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = BlackManage.class, reverseConvertGenerate = false)
public class BlackManageBo extends BaseEntity {

    /**
     * 黑名单管理id
     */
    @NotNull(message = "黑名单管理id不能为空", groups = { EditGroup.class })
    private Long blackManageId;

    /**
     * 黑名单类型
     */
    @NotBlank(message = "黑名单类型不能为空", groups = { AddGroup.class, EditGroup.class })
    private String blackType;

    /**
     * 黑名单说明
     */
    @NotBlank(message = "黑名单说明不能为空", groups = { AddGroup.class, EditGroup.class })
    private String blackTitle;

    /**
     * 黑名单的阈值
     */
    @NotBlank(message = "黑名单的阈值不能为空", groups = { AddGroup.class, EditGroup.class })
    private String blackNum;

    /**
     * 黑名单是否启用
     */
    @NotBlank(message = "黑名单是否启用不能为空", groups = { AddGroup.class, EditGroup.class })
    private String isDel;

    /**
     * 备注
     */
    private String remark;


}
