package org.dromara.domain.blackManage.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.domain.blackManage.BlackManage;

import java.io.Serial;
import java.io.Serializable;



/**
 * 黑名单管理视图对象 black_manage
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = BlackManage.class)
public class BlackManageVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 黑名单管理id
     */
    @ExcelProperty(value = "黑名单管理id")
    private Long blackManageId;

    /**
     * 黑名单类型
     */
    @ExcelProperty(value = "黑名单类型")
    private String blackType;

    /**
     * 黑名单说明
     */
    @ExcelProperty(value = "黑名单说明")
    private String blackTitle;

    /**
     * 黑名单的阈值
     */
    @ExcelProperty(value = "黑名单的阈值")
    private String blackNum;

    /**
     * 黑名单是否启用
     */
    @ExcelProperty(value = "黑名单是否启用")
    private String isDel;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
