package org.dromara.domain.butler.bo;


import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.domain.butler.ButlerSettings;

/**
 * 物业管家设置业务对象 butler_settings
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = ButlerSettings.class, reverseConvertGenerate = false)
public class ButlerSettingsBo extends BaseEntity {

    /**
     * ID
     */
    @NotNull(message = "ID不能为空", groups = { EditGroup.class })
    private Long settingsId;

    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private String content;

    /**
     * 是否删除：Y（删除）、N（不删除）
     */
    private String isDel;

    /**
     * 备注
     */
    private String remark;


}
