package org.dromara.domain.butler.vo;


import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import org.dromara.domain.butler.ButlerSettings;

import java.io.Serial;
import java.io.Serializable;



/**
 * 物业管家设置视图对象 butler_settings
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = ButlerSettings.class)
public class ButlerSettingsVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ExcelProperty(value = "ID")
    private Long settingsId;

    /**
     * 标题
     */
    @ExcelProperty(value = "标题")
    private String title;

    /**
     * 内容
     */
    @ExcelProperty(value = "内容")
    private String content;

    /**
     * 是否删除：Y（删除）、N（不删除）
     */
    @ExcelProperty(value = "是否删除：Y", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "删=除")
    private String isDel;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
