package org.dromara.domain.checkPoint;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.tenant.core.TenantEntity;

import java.io.Serial;
import java.util.Date;

/**
 * 巡更点管理对象 check_point_manage
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("check_point_manage")
public class CheckPointManage extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 巡更点主键
     */
    @TableId(value = "check_point_manage_id")
    private Long checkPointManageId;

    /**
     * 星期几
     */
    private String dateTimeNum;

    /**
     * 巡更类型(字典值)
     */
    private String checkType;

    /**
     * 巡更时间
     */
    private Date checkTime;

    /**
     * 巡更路线
     */
    private String checkAddress;

    /**
     * 巡更人负责人姓名
     */
    private String userName;

    /**
     * 巡更人负责人id
     */
    private Long useId;

    /**
     * 备注
     */
    private String remark;


}
