package org.dromara.domain.checkPoint.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.domain.checkPoint.CheckPointManage;

import java.util.Date;

/**
 * 巡更点管理业务对象 check_point_manage
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = CheckPointManage.class, reverseConvertGenerate = false)
public class CheckPointManageBo extends BaseEntity {

    /**
     * 巡更点主键
     */
    @NotNull(message = "巡更点主键不能为空", groups = { EditGroup.class })
    private Long checkPointManageId;

    /**
     * 星期几
     */
    private String dateTimeNum;

    /**
     * 巡更类型(字典值)
     */
    @NotBlank(message = "巡更类型(字典值)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String checkType;

    /**
     * 巡更时间
     */
    private Date checkTime;

    /**
     * 巡更路线
     */
    private String checkAddress;

    /**
     * 巡更人负责人姓名
     */
    private String userName;

    /**
     * 巡更人负责人id
     */
    private Long useId;

    /**
     * 备注
     */
    private String remark;


}
