package org.dromara.domain.checkPoint.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.domain.checkPoint.CheckPointManage;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 巡更点管理视图对象 check_point_manage
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = CheckPointManage.class)
public class CheckPointManageVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 巡更点主键
     */
    @ExcelProperty(value = "巡更点主键")
    private Long checkPointManageId;

    /**
     * 星期几
     */
    @ExcelProperty(value = "星期几")
    private String dateTimeNum;

    /**
     * 巡更类型(字典值)
     */
    @ExcelProperty(value = "巡更类型(字典值)")
    private String checkType;

    /**
     * 巡更时间
     */
    @ExcelProperty(value = "巡更时间")
    private Date checkTime;

    /**
     * 巡更路线
     */
    @ExcelProperty(value = "巡更路线")
    private String checkAddress;

    /**
     * 巡更人负责人姓名
     */
    @ExcelProperty(value = "巡更人负责人姓名")
    private String userName;

    /**
     * 巡更人负责人id
     */
    @ExcelProperty(value = "巡更人负责人id")
    private Long useId;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
