package org.dromara.domain.checkPoint.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.domain.checkPoint.CheckPointRecord;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 巡更点记录视图对象 check_point_record
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = CheckPointRecord.class)
public class CheckPointRecordVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 巡更点记录id
     */
    @ExcelProperty(value = "巡更点记录id")
    private Long checkPointRecordId;

    /**
     * 巡更点id
     */
    @ExcelProperty(value = "巡更点id")
    private Long checkPointManageId;

    /**
     * 星期几
     */
    @ExcelProperty(value = "星期几")
    private String dateTimeNum;

    /**
     * 巡更类型(字典值)
     */
    @ExcelProperty(value = "巡更类型(字典值)")
    private String checkType;

    /**
     * 巡更设定时间
     */
    @ExcelProperty(value = "巡更设定时间")
    private Date checkTime;

    /**
     * 巡更路线
     */
    @ExcelProperty(value = "巡更路线")
    private String checkAddress;

    /**
     * 巡更人负责人姓名
     */
    @ExcelProperty(value = "巡更人负责人姓名")
    private String userName;

    /**
     * 巡更人负责人id
     */
    @ExcelProperty(value = "巡更人负责人id")
    private Long useId;

    /**
     * 巡更人姓名
     */
    @ExcelProperty(value = "巡更人姓名")
    private String checkUserName;

    /**
     * 巡更人id
     */
    @ExcelProperty(value = "巡更人id")
    private Long checkUseId;

    /**
     * 巡更人员工管理id
     */
    @ExcelProperty(value = "巡更人员工管理id")
    private Long checkStaffId;

    /**
     * 巡更人手机号
     */
    @ExcelProperty(value = "巡更人手机号")
    private String checkUsePhone;

    /**
     * 巡更结果 1：正常 2：损坏
     */
    @ExcelProperty(value = "巡更结果 1：正常 2：损坏")
    private String checkResult;

    /**
     * 巡更结果详情
     */
    @ExcelProperty(value = "巡更结果详情")
    private String checkResultDetails;

    /**
     * 巡更结果照片
     */
    @ExcelProperty(value = "巡更结果照片")
    private String checkResultPhoto;

    /**
     * 巡更完成时间
     */
    @ExcelProperty(value = "巡更完成时间")
    private Date checkResultTime;

    /**
     * 是否巡更 1:未巡更 2:已巡更
     */
    @ExcelProperty(value = "是否巡更 1:未巡更 2:已巡更")
    private String checkStatus;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
