package org.dromara.domain.communityNews;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 社区资讯评论内容对象 comment_content
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("comment_content")
public class CommentContent extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 内容主键
     */
    @TableId(value = "content_id")
    private Long contentId;

    /**
     * 评论id
     */
    private Long commentId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 评论内容
     */
    private String commentContent;

    /**
     * 状态：1:待审核 2：审核通过 3：审核不通过 4：审核通过后下架
     */
    private Long status;

    /**
     * 类型：1：文字 2：图片
     */
    private Long type;

    /**
     * 点赞数量
     */
    private Long likeCount;

    /**
     * 逻辑删除(Y:已删除，N:未删除)
     */
    @TableLogic
    private String delFlag;

    /**
     * 备注
     */
    private String remark;


}
