package org.dromara.domain.communityNews;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 社区资讯评论对象 comment_index
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("comment_index")
public class CommentIndex extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 社区资讯评论ID
     */
    @TableId(value = "comment_id")
    private Long commentId;

    /**
     * 社区资讯ID
     */
    private Long communityId;

    /**
     * 社区资讯类型（1：公告 2：通知 3：资讯）
     */
    private String communityType;

    /**
     * 社区资讯标题
     */
    private String communityTitle;

    /**
     * 根评论id 1:根评论 2：子评论
     */
    private Long isRoot;

    /**
     * 父评论id
     */
    private Long parentId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 头像地址
     */
    private String avatar;

    /**
     * 所回复目标评论的用户id
     */
    private Long toUserId;

    /**
     * 所回复目标评论的用户昵称
     */
    private String toNickName;

    /**
     * 所回复目标评论的头像地址
     */
    private String toAvatar;

    /**
     * 是否是二级回复的回复 Y:是 N:否
     */
    private String toRoot;

    /**
     * 内容id
     */
    private Long contentId;

    /**
     * 评论内容(冗余字段)
     */
    private String commentContent;

    /**
     * 逻辑删除(Y:已删除，N:未删除)
     */
    @TableLogic
    private String delFlag;

    /**
     * 备注
     */
    private String remark;


}
