package org.dromara.domain.communityNews;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 社区资讯点赞对象 comment_likes
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("comment_likes")
public class CommentLikes extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 点赞ID
     */
    @TableId(value = "likes_id")
    private Long likesId;

    /**
     * 点赞目标id
     */
    private Long targetId;

    /**
     * 点赞目标类型（1：资讯 2：回复）
     */
    private String targetType;

    /**
     * 点赞目标标题
     */
    private String targetTitle;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 头像地址
     */
    private String avatar;

    /**
     * 逻辑删除(Y:已删除，N:未删除)
     */
    @TableLogic
    private String delFlag;

    /**
     * 备注
     */
    private String remark;


}
