package org.dromara.domain.communityNews;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 社区资讯收藏对象 comment_stars
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("comment_stars")
public class CommentStars extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 社区资讯收藏ID
     */
    @TableId(value = "stars_id")
    private Long starsId;

    /**
     * 目标ID
     */
    private Long targetId;

    /**
     * 目标类型（1：社区 2：党建 ）
     */
    private String targetType;

    /**
     * 目标标题
     */
    private String targetTitle;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 头像地址
     */
    private String avatar;

    /**
     * 逻辑删除(Y:已删除，N:未删除)
     */
    @TableLogic
    private String delFlag;

    /**
     * 备注
     */
    private String remark;


}
