package org.dromara.domain.communityNews;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.translation.annotation.Translation;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.dromara.common.translation.constant.TransConstant;

import java.io.Serial;

/**
 * 社区资讯对象 community_news
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("community_news")
public class CommunityNews extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 社区资讯ID
     */
    @TableId(value = "community_id")
    private Long communityId;

    /**
     * 社区资讯标题
     */
    private String communityTitle;

    /**
     * 社区资讯类型（1：公告 2：通知 3：资讯）
     */
    private String communityType;

    /**
     * 社区资讯内容
     */
    private String communityContent;

    /**
     * 社区资讯状态（1正常 2关闭）
     */
    private String status;

    /**
     * 发布时间
     */
    private Date publishTime;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 员工管理id
     */
    private Long staffId;

    /**
     * 员工姓名
     */
    private String staffName;

    /**
     * 作者，记录资讯的发布者
     */
    private String author;

    /**
     * 来源，记录资讯的来源（如单位、网站等）
     */
    private String source;

    /**
     * 封面图片，存储图片路径或URL
     */
    private String coverImage;

    /**
     * 浏览次数，记录资讯被查看的次数
     */
    private Long viewCount;

    /**
     * 是否置顶：Y（置顶）、N（不置顶）
     */
    private String isTop;

    /**
     * 评论数量
     */
    private String userComment;

    /**
     * 点赞数量
     */
    private String userLikes;

    /**
     * 收藏数量
     */
    private String userStars;

    /**
     * 备注
     */
    private String remark;


}
