package org.dromara.domain.communityNews.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.domain.communityNews.CommentContent;

/**
 * 社区资讯评论内容业务对象 comment_content
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = CommentContent.class, reverseConvertGenerate = false)
public class CommentContentBo extends BaseEntity {

    /**
     * 内容主键
     */
    @NotNull(message = "内容主键不能为空", groups = { EditGroup.class })
    private Long contentId;

    /**
     * 评论id
     */
    private Long commentId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 评论内容
     */
    private String commentContent;

    /**
     * 状态：1:待审核 2：审核通过 3：审核不通过 4：审核通过后下架
     */
    private Long status;

    /**
     * 类型：1：文字 2：图片
     */
    private Long type;

    /**
     * 点赞数量
     */
    private Long likeCount;

    /**
     * 备注
     */
    private String remark;


}
