package org.dromara.domain.communityNews.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.domain.communityNews.CommentLikes;

/**
 * 社区资讯点赞业务对象 comment_likes
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = CommentLikes.class, reverseConvertGenerate = false)
public class CommentLikesBo extends BaseEntity {

    /**
     * 点赞ID
     */
    @NotNull(message = "点赞ID不能为空", groups = { EditGroup.class })
    private Long likesId;

    /**
     * 点赞目标id
     */
    private Long targetId;

    /**
     * 点赞目标类型（1：资讯 2：回复）
     */
    private String targetType;

    /**
     * 点赞目标标题
     */
    private String targetTitle;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 头像地址
     */
    private String avatar;

    /**
     * 备注
     */
    private String remark;


}
