package org.dromara.domain.communityNews.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.domain.communityNews.CommentStars;

/**
 * 社区资讯收藏业务对象 comment_stars
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = CommentStars.class, reverseConvertGenerate = false)
public class CommentStarsBo extends BaseEntity {

    /**
     * 社区资讯收藏ID
     */
    @NotNull(message = "社区资讯收藏ID不能为空", groups = { EditGroup.class })
    private Long starsId;

    /**
     * 目标ID
     */
    @NotNull(message = "目标ID不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long targetId;

    /**
     * 目标类型（1：社区 2：党建 ）
     */
    @NotBlank(message = "目标类型（1：社区 2：党建 ）不能为空", groups = { AddGroup.class, EditGroup.class })
    private String targetType;

    /**
     * 目标标题
     */
    private String targetTitle;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 头像地址
     */
    private String avatar;

    /**
     * 备注
     */
    private String remark;


}
