package org.dromara.domain.communityNews.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.domain.communityNews.CommentContent;

import java.io.Serial;
import java.io.Serializable;



/**
 * 社区资讯评论内容视图对象 comment_content
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = CommentContent.class)
public class CommentContentVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 内容主键
     */
    @ExcelProperty(value = "内容主键")
    private Long contentId;

    /**
     * 评论id
     */
    @ExcelProperty(value = "评论id")
    private Long commentId;

    /**
     * 用户id
     */
    @ExcelProperty(value = "用户id")
    private Long userId;

    /**
     * 评论内容
     */
    @ExcelProperty(value = "评论内容")
    private String commentContent;

    /**
     * 状态：1:待审核 2：审核通过 3：审核不通过 4：审核通过后下架
     */
    @ExcelProperty(value = "状态：1:待审核 2：审核通过 3：审核不通过 4：审核通过后下架")
    private Long status;

    /**
     * 类型：1：文字 2：图片
     */
    @ExcelProperty(value = "类型：1：文字 2：图片")
    private Long type;

    /**
     * 点赞数量
     */
    @ExcelProperty(value = "点赞数量")
    private Long likeCount;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
