package org.dromara.domain.communityNews.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import org.dromara.domain.communityNews.CommentLikes;

import java.io.Serial;
import java.io.Serializable;



/**
 * 社区资讯点赞视图对象 comment_likes
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = CommentLikes.class)
public class CommentLikesVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 点赞ID
     */
    @ExcelProperty(value = "点赞ID")
    private Long likesId;

    /**
     * 点赞目标id
     */
    @ExcelProperty(value = "点赞目标id")
    private Long targetId;

    /**
     * 点赞目标类型（1：资讯 2：回复）
     */
    @ExcelProperty(value = "点赞目标类型", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "1=：资讯,2=：回复")
    private String targetType;

    /**
     * 点赞目标标题
     */
    @ExcelProperty(value = "点赞目标标题")
    private String targetTitle;

    /**
     * 用户id
     */
    @ExcelProperty(value = "用户id")
    private Long userId;

    /**
     * 用户昵称
     */
    @ExcelProperty(value = "用户昵称")
    private String nickName;

    /**
     * 头像地址
     */
    @ExcelProperty(value = "头像地址")
    private String avatar;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
