package org.dromara.domain.complaintSuggestion;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.tenant.core.TenantEntity;

import java.io.Serial;
import java.util.Date;

/**
 * 投诉建议对象 complaint_suggestion
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("complaint_suggestion")
public class ComplaintSuggestion extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 投诉建议ID
     */
    @TableId(value = "suggestion_id")
    private Long suggestionId;

    /**
     * 投诉建议标题，简要描述投诉或建议内容
     */
    private String title;

    /**
     * 投诉建议的具体内容，详细描述问题或建议
     */
    private String content;

    /**
     * 投诉照片，存储图片路径或URL（可多张，建议用JSON格式存储）
     */
    private String images;

    /**
     * 投诉建议提交时间
     */
    private Date createdTime;

    /**
     * 投诉建议状态：1（待回复）、2（已回复）
     */
    private String status;

    /**
     * 投诉建议的回复内容，记录管理员或相关人员的回复
     */
    private String replyContent;

    /**
     * 投诉建议类型：1:投诉建议
     */
    private String type;

    /**
     * 投诉建议是否公开：Y（公开）、N（不公开）
     */
    private String isPublic;

    /**
     * 投诉用户id
     */
    private Long userId;

    /**
     * 投诉建议是否已读：Y（已读）、N（未读）
     */
    private String isRead;

    /**
     * 是否删除：Y（删除）、N（不删除）
     */
    private String isDel;

    /**
     * 备注
     */
    private String remark;


}
