package org.dromara.domain.houseInfo;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 物业费设置对象 property_settings
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("property_settings")
public class PropertySettings extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 物业费信息主键
     */
    @TableId(value = "settings_id")
    private Long settingsId;

    /**
     * 应缴物业费用
     */
    private Long tenementExpense;

    /**
     * 应缴车位费用
     */
    private Long parkingExpense;

    /**
     * 应缴能耗费用
     */
    private Long energyExpense;

    /**
     * 是否删除，Y表示删除，N表示有效
     */
    private String isDel;

    /**
     * 备注
     */
    private String remark;


}
