package org.dromara.domain.houseInfo.bo;


import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.domain.houseInfo.PropertySettings;

/**
 * 物业费设置业务对象 property_settings
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = PropertySettings.class, reverseConvertGenerate = false)
public class PropertySettingsBo extends BaseEntity {

    /**
     * 物业费信息主键
     */
    @NotNull(message = "物业费信息主键不能为空", groups = { EditGroup.class })
    private Long settingsId;

    /**
     * 应缴物业费用
     */
    private Long tenementExpense;

    /**
     * 应缴车位费用
     */
    private Long parkingExpense;

    /**
     * 应缴能耗费用
     */
    private Long energyExpense;

    /**
     * 是否删除，Y表示删除，N表示有效
     */
    private String isDel;

    /**
     * 备注
     */
    private String remark;


}
