package org.dromara.domain.houseInfo.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.domain.houseInfo.PropertySettings;

import java.io.Serial;
import java.io.Serializable;



/**
 * 物业费设置视图对象 property_settings
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = PropertySettings.class)
public class PropertySettingsVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 物业费信息主键
     */
    @ExcelProperty(value = "物业费信息主键")
    private Long settingsId;

    /**
     * 应缴物业费用
     */
    @ExcelProperty(value = "应缴物业费用")
    private Long tenementExpense;

    /**
     * 应缴车位费用
     */
    @ExcelProperty(value = "应缴车位费用")
    private Long parkingExpense;

    /**
     * 应缴能耗费用
     */
    @ExcelProperty(value = "应缴能耗费用")
    private Long energyExpense;

    /**
     * 是否删除，Y表示删除，N表示有效
     */
    @ExcelProperty(value = "是否删除，Y表示删除，N表示有效")
    private String isDel;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
