package org.dromara.domain.illegalParking;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 违章停车登记对象 illegal_parking
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("illegal_parking")
public class IllegalParking extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 违章停车登记主键
     */
    @TableId(value = "illegal_parking_id")
    private Long illegalParkingId;

    /**
     * 车牌号码
     */
    private String plateNumber;

    /**
     * 门户id
     */
    private Long portalId;

    /**
     * 关联门户
     */
    private String visitPortal;

    /**
     * 手机号码
     */
    private String mobileNumber;

    /**
     * 人员姓名
     */
    private String visitName;

    /**
     * 违章照片
     */
    private String illegalPhoto;

    /**
     * 车辆类型 1：小区车辆 2：外来车辆
     */
    private String carType;

    /**
     * 是否黑名单 N:否 Y:是
     */
    private String isBlack;

    /**
     * 备注
     */
    private String remark;


}
