package org.dromara.domain.illegalParking.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.domain.illegalParking.IllegalParking;

import java.io.Serial;
import java.io.Serializable;



/**
 * 违章停车登记视图对象 illegal_parking
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = IllegalParking.class)
public class IllegalParkingVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 违章停车登记主键
     */
    @ExcelProperty(value = "违章停车登记主键")
    private Long illegalParkingId;

    /**
     * 车牌号码
     */
    @ExcelProperty(value = "车牌号码")
    private String plateNumber;

    /**
     * 门户id
     */
    @ExcelProperty(value = "门户id")
    private Long portalId;

    /**
     * 关联门户
     */
    @ExcelProperty(value = "关联门户")
    private String visitPortal;

    /**
     * 手机号码
     */
    @ExcelProperty(value = "手机号码")
    private String mobileNumber;

    /**
     * 人员姓名
     */
    @ExcelProperty(value = "人员姓名")
    private String visitName;

    /**
     * 违章照片
     */
    @ExcelProperty(value = "违章照片")
    private String illegalPhoto;

    /**
     * 车辆类型 1：小区车辆 2：外来车辆
     */
    @ExcelProperty(value = "车辆类型 1：小区车辆 2：外来车辆")
    private String carType;

    /**
     * 是否黑名单 N:否 Y:是
     */
    @ExcelProperty(value = "是否黑名单 N:否 Y:是")
    private String isBlack;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
