package org.dromara.domain.partyNews;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.tenant.core.TenantEntity;

import java.io.Serial;
import java.util.Date;

/**
 * 党建资讯对象 party_news
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("party_news")
public class PartyNews extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 资讯ID
     */
    @TableId(value = "party_id")
    private Long partyId;

    /**
     * 党建资讯标题
     */
    private String partyTitle;

    /**
     * 党建资讯类型（1：党建活动 2：党建学习3：党建知识）
     */
    private String partyType;

    /**
     * 党建资讯内容
     */
    private String partyContent;

    /**
     * 党建资讯状态（1正常 2关闭）
     */
    private String status;

    /**
     * 发布时间
     */
    private Date publishTime;

    /**
     * 作者，记录资讯的发布者
     */
    private String author;

    /**
     * 来源，记录资讯的来源（如单位、网站等）
     */
    private String source;

    /**
     * 封面图片，存储图片路径或URL
     */
    private String coverImage;

    /**
     * 浏览次数，记录资讯被查看的次数
     */
    private Long viewCount;

    /**
     * 是否置顶：Y（置顶）、N（不置顶）
     */
    private String isTop;

    /**
     * 备注
     */
    private String remark;


}
