package org.dromara.domain.proprietorCar;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 业主车辆管理对象 proprietor_car
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("proprietor_car")
public class ProprietorCar extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 业主车辆主键
     */
    @TableId(value = "car_id")
    private Long carId;

    /**
     * 房屋信息id
     */
    private Long houseId;

    /**
     * 房屋的详细门牌号
     */
    private String detailedAddress;

    /**
     * 居住人员表id
     */
    private Long residentId;

    /**
     * 业主id
     */
    private Long userId;

    /**
     * 业主姓名
     */
    private String userName;

    /**
     * 业主手机号
     */
    private String residentPhone;

    /**
     * 车牌号码
     */
    private String plateNumber;

    /**
     * 车辆车型 （大众汽车牌SVW6474DFD）
     */
    private String vehicleBrand;

    /**
     * 车辆类型 （小型普通客车）
     */
    private String vehicleType;

    /**
     * 车辆能源类型 燃油 新能源
     */
    private String vehicleEnergy;

    /**
     * 车辆颜色
     */
    private String vehicleColour;

    /**
     * 发动机编号
     */
    private String engineNumber;

    /**
     * 车辆识别代号
     */
    private String identificationNumber;

    /**
     * 注册日期
     */
    private String registrationDate;

    /**
     * 发证日期
     */
    private String issueDate;

    /**
     * 备注
     */
    private String remark;


}
