package org.dromara.domain.reservRecord;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.tenant.core.TenantEntity;

import java.io.Serial;
import java.util.Date;

/**
 * 预约记录对象 reserv_record
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("reserv_record")
public class ReservRecord extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 预约主键
     */
    @TableId(value = "reserv_record_id")
    private Long reservRecordId;

    /**
     * 门户id 房屋信息表的id
     */
    private Long portalId;

    /**
     * 详细门牌号
     */
    private String houseAddress;

    /**
     * 详细地址
     */
    private String detailAddress;

    /**
     * 经度
     */
    private String lgt;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 分享人姓名
     */
    private String shareName;

    /**
     * 访客姓名
     */
    private String name;

    /**
     * 来访人数
     */
    private String num;

    /**
     * 来访事由
     */
    private String reason;

    /**
     * 手机号码
     */
    private String mobileNumber;

    /**
     * 是否驾车 N:否 Y:是
     */
    private String isCar;

    /**
     * 车牌号码
     */
    private String plateNumber;

    /**
     * 预约时间
     */
    private Date reserveTime;

    /**
     * 来访时间
     */
    private Date visitorTime;

    /**
     * 状态 1：待来访 2：已来访 3：已过期
     */
    private String status;

    /**
     * 人脸信息
     */
    private String photo;

    /**
     * 备注
     */
    private String remark;


}
