package org.dromara.domain.reservRecord.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.domain.reservRecord.ReservRecord;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 预约记录视图对象 reserv_record
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = ReservRecord.class)
public class ReservRecordVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 预约主键
     */
    @ExcelProperty(value = "预约主键")
    private Long reservRecordId;

    /**
     * 门户id 房屋信息表的id
     */
    @ExcelProperty(value = "门户id 房屋信息表的id")
    private Long portalId;

    /**
     * 详细门牌号
     */
    @ExcelProperty(value = "详细门牌号")
    private String houseAddress;

    /**
     * 详细地址
     */
    @ExcelProperty(value = "详细地址")
    private String detailAddress;

    /**
     * 经度
     */
    @ExcelProperty(value = "经度")
    private String lgt;

    /**
     * 纬度
     */
    @ExcelProperty(value = "纬度")
    private String lat;

    /**
     * 分享人姓名
     */
    @ExcelProperty(value = "分享人姓名")
    private String shareName;

    /**
     * 访客姓名
     */
    @ExcelProperty(value = "访客姓名")
    private String name;

    /**
     * 来访人数
     */
    @ExcelProperty(value = "来访人数")
    private String num;

    /**
     * 来访事由
     */
    @ExcelProperty(value = "来访事由")
    private String reason;

    /**
     * 手机号码
     */
    @ExcelProperty(value = "手机号码")
    private String mobileNumber;

    /**
     * 是否驾车 N:否 Y:是
     */
    @ExcelProperty(value = "是否驾车 N:否 Y:是")
    private String isCar;

    /**
     * 车牌号码
     */
    @ExcelProperty(value = "车牌号码")
    private String plateNumber;

    /**
     * 预约时间
     */
    @ExcelProperty(value = "预约时间")
    private Date reserveTime;

    /**
     * 来访时间
     */
    @ExcelProperty(value = "来访时间")
    private Date visitorTime;

    /**
     * 状态 1：待来访 2：已来访 3：已过期
     */
    @ExcelProperty(value = "状态 1：待来访 2：已来访 3：已过期")
    private String status;

    /**
     * 人脸信息
     */
    @ExcelProperty(value = "人脸信息")
    private String photo;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
