package org.dromara.domain.staffManage;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 员工管理对象 staff_manage
 *
 * @author boman
 * @date 2025-04-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("staff_manage")
public class StaffManage extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 员工管理id
     */
    @TableId(value = "staff_id")
    private Long staffId;

    /**
     * 员工账号id
     */
    private Long userId;

    @TableField(exist = false)
    private String userType;

    /**
     * 员工姓名
     */
    private String staffName;

    /**
     * 员工性别（1男 2女 ）
     */
    private String gender;

    /**
     * 员工类别，1：保安 2:维修人员 3：物业管理
     */
    private String staffCategory;

    /**
     * 维修分类，表示维修人员擅长的维修类别
     */
    private String maintenanceCategory;

    /**
     * 手机号码
     */
    private String phoneNumber;

    /**
     * 头像，存储头像的URL或文件路径
     */
    private String avatarPhoto;

    /**
     * 身份证号码
     */
    private String idCard;

    /**
     * 身份证正面
     */
    private String idCardFront;

    /**
     * 身份证反面
     */
    private String idCardBack;

    /**
     * 相关证件
     */
    private String certificate;

    /**
     * 状态，字典值 1：空闲2：忙碌
     */
    private String status;

    /**
     * 备注
     */
    private String remark;
    /**
     * 审核状态 1:未审核 2：审核通过 3：审核未通过
     */
    private String examine;

}
