package org.dromara.domain.staffTrain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.tenant.core.TenantEntity;

import java.io.Serial;
import java.util.Date;

/**
 * 员工培训手册对象 staff_train_manual
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("staff_train_manual")
public class StaffTrainManual extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 员工培训手册ID
     */
    @TableId(value = "manual_id")
    private Long manualId;

    /**
     * 员工培训手册标题
     */
    private String manualTitle;

    /**
     * 员工培训手册类型（1：图片 2:视频）
     */
    private String manualType;

    /**
     * 员工培训手册内容
     */
    private String manualContent;

    /**
     * 员工培训手册状态（0正常 1关闭）
     */
    private String status;

    /**
     * 发布时间
     */
    private Date publishTime;

    /**
     * 视频地址URL
     */
    private String videoUrl;

    /**
     * 封面图片，存储图片路径或URL
     */
    private String coverImage;

    /**
     * 作者，记录资讯的发布者
     */
    private String author;

    /**
     * 来源，记录资讯的来源（如单位、网站等）
     */
    private String source;

    /**
     * 浏览次数，记录资讯被查看的次数
     */
    private Long viewCount;

    /**
     * 进度
     */
    private String progress;

    /**
     * 是否置顶：Y（置顶）、N（不置顶）
     */
    private String isTop;

    /**
     * 备注
     */
    private String remark;


}
