package org.dromara.domain.staffTrainTime;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 员工培训时长对象 staff_train_time
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("staff_train_time")
public class StaffTrainTime extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 员工培训时长ID
     */
    @TableId(value = "train_time_id")
    private Long trainTimeId;

    /**
     * 员工管理id
     */
    private Long staffId;

    /**
     * 员工姓名
     */
    private String staffName;

    /**
     * 员工账号id
     */
    private Long userId;

    /**
     * 员工培训手册ID
     */
    private Long manualId;

    /**
     * 阅读时长
     */
    private String staffTime;

    /**
     * 备注
     */
    private String remark;


}
