package org.dromara.domain.staffTrainTime.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.domain.staffTrainTime.StaffTrainTime;

/**
 * 员工培训时长业务对象 staff_train_time
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = StaffTrainTime.class, reverseConvertGenerate = false)
public class StaffTrainTimeBo extends BaseEntity {

    /**
     * 员工培训时长ID
     */
    @NotNull(message = "员工培训时长ID不能为空", groups = { EditGroup.class })
    private Long trainTimeId;

    /**
     * 员工管理id
     */
    private Long staffId;

    /**
     * 员工姓名
     */
    private String staffName;

    /**
     * 员工账号id
     */
    private Long userId;

    /**
     * 员工培训手册ID
     */
    private Long manualId;

    /**
     * 阅读时长
     */
    private String staffTime;

    /**
     * 备注
     */
    private String remark;


}
