package org.dromara.domain.staffTrainTime.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.domain.staffTrainTime.StaffTrainTime;

import java.io.Serial;
import java.io.Serializable;



/**
 * 员工培训时长视图对象 staff_train_time
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = StaffTrainTime.class)
public class StaffTrainTimeVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 员工培训时长ID
     */
    @ExcelProperty(value = "员工培训时长ID")
    private Long trainTimeId;

    /**
     * 员工管理id
     */
    @ExcelProperty(value = "员工管理id")
    private Long staffId;

    /**
     * 员工姓名
     */
    @ExcelProperty(value = "员工姓名")
    private String staffName;

    /**
     * 员工账号id
     */
    @ExcelProperty(value = "员工账号id")
    private Long userId;

    /**
     * 员工培训手册ID
     */
    @ExcelProperty(value = "员工培训手册ID")
    private Long manualId;

    /**
     * 阅读时长
     */
    @ExcelProperty(value = "阅读时长")
    private String staffTime;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
