package org.dromara.domain.suggestionFj;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 投诉建议_附件对象 suggestion_fj
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("suggestion_fj")
public class SuggestionFj extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 附件ID
     */
    @TableId(value = "suggestion_fj_id")
    private Long suggestionFjId;

    /**
     * 投诉建议id
     */
    private Long suggestionId;

    /**
     * 原文件名称
     */
    private String oldName;

    /**
     * 附件名称
     */
    private String name;

    /**
     * 附件地址
     */
    private String url;

    /**
     * 文件分类：1：基础附件
     */
    private String bigType;

    /**
     * 文件类型 1：投诉建议
     */
    private String type;

    /**
     * 备注
     */
    private String remark;


}
