package org.dromara.domain.suggestionFj.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.domain.suggestionFj.SuggestionFj;

/**
 * 投诉建议_附件业务对象 suggestion_fj
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = SuggestionFj.class, reverseConvertGenerate = false)
public class SuggestionFjBo extends BaseEntity {

    /**
     * 附件ID
     */
    @NotNull(message = "附件ID不能为空", groups = { EditGroup.class })
    private Long suggestionFjId;

    /**
     * 投诉建议id
     */
    @NotNull(message = "投诉建议id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long suggestionId;

    /**
     * 原文件名称
     */
    private String oldName;

    /**
     * 附件名称
     */
    @NotBlank(message = "附件名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String name;

    /**
     * 附件地址
     */
    private String url;

    /**
     * 文件分类：1：基础附件
     */
    private String bigType;

    /**
     * 文件类型 1：投诉建议
     */
    private String type;

    /**
     * 备注
     */
    private String remark;


}
