package org.dromara.domain.suggestionFj.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.domain.suggestionFj.SuggestionFj;

import java.io.Serial;
import java.io.Serializable;



/**
 * 投诉建议_附件视图对象 suggestion_fj
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = SuggestionFj.class)
public class SuggestionFjVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 附件ID
     */
    @ExcelProperty(value = "附件ID")
    private Long suggestionFjId;

    /**
     * 投诉建议id
     */
    @ExcelProperty(value = "投诉建议id")
    private Long suggestionId;

    /**
     * 原文件名称
     */
    @ExcelProperty(value = "原文件名称")
    private String oldName;

    /**
     * 附件名称
     */
    @ExcelProperty(value = "附件名称")
    private String name;

    /**
     * 附件地址
     */
    @ExcelProperty(value = "附件地址")
    private String url;

    /**
     * 文件分类：1：基础附件
     */
    @ExcelProperty(value = "文件分类：1：基础附件")
    private String bigType;

    /**
     * 文件类型 1：投诉建议
     */
    @ExcelProperty(value = "文件类型 1：投诉建议")
    private String type;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
