package org.dromara.domain.visitor;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.tenant.core.TenantEntity;

import java.io.Serial;
import java.util.Date;

/**
 * 来访管理对象 visitor_manage
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("visitor_manage")
public class VisitorManage extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 来访主键
     */
    @TableId(value = "visitor_manage_id")
    private Long visitorManageId;

    /**
     * 门户id
     */
    private Long portalId;

    /**
     * 详细门牌号
     */
    private String houseAddress;

    /**
     * 访客姓名
     */
    private String name;

    /**
     * 来访人数
     */
    private String num;

    /**
     * 来访事由
     */
    private String reason;

    /**
     * 手机号码
     */
    private String mobileNumber;

    /**
     * 是否驾车 N:否 Y:是
     */
    private String isCar;

    /**
     * 车牌号码
     */
    private String plateNumber;

    /**
     * 预约时间
     */
    private Date reserveTime;

    /**
     * 来访时间
     */
    private Date visitorTime;

    /**
     * 状态 1：已来访
     */
    private String status;

    /**
     * 人脸信息
     */
    private String photo;

    /**
     * 备注
     */
    private String remark;


}
