package org.dromara.domain.visitor.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.domain.visitor.VisitorManage;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 来访管理视图对象 visitor_manage
 *
 * @author boman
 * @date 2025-04-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = VisitorManage.class)
public class VisitorManageVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 来访主键
     */
    @ExcelProperty(value = "来访主键")
    private Long visitorManageId;

    /**
     * 门户id
     */
    @ExcelProperty(value = "门户id")
    private Long portalId;

    /**
     * 详细门牌号
     */
    @ExcelProperty(value = "详细门牌号")
    private String houseAddress;

    /**
     * 访客姓名
     */
    @ExcelProperty(value = "访客姓名")
    private String name;

    /**
     * 来访人数
     */
    @ExcelProperty(value = "来访人数")
    private String num;

    /**
     * 来访事由
     */
    @ExcelProperty(value = "来访事由")
    private String reason;

    /**
     * 手机号码
     */
    @ExcelProperty(value = "手机号码")
    private String mobileNumber;

    /**
     * 是否驾车 N:否 Y:是
     */
    @ExcelProperty(value = "是否驾车 N:否 Y:是")
    private String isCar;

    /**
     * 车牌号码
     */
    @ExcelProperty(value = "车牌号码")
    private String plateNumber;

    /**
     * 预约时间
     */
    @ExcelProperty(value = "预约时间")
    private Date reserveTime;

    /**
     * 来访时间
     */
    @ExcelProperty(value = "来访时间")
    private Date visitorTime;

    /**
     * 状态 1：已来访
     */
    @ExcelProperty(value = "状态 1：已来访")
    private String status;

    /**
     * 人脸信息
     */
    @ExcelProperty(value = "人脸信息")
    private String photo;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
