package org.dromara.service;


import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.domain.blackManage.bo.BlackManageBo;
import org.dromara.domain.blackManage.vo.BlackManageVo;

import java.util.Collection;
import java.util.List;

/**
 * 黑名单管理Service接口
 *
 * @author boman
 * @date 2025-04-11
 */
public interface IBlackManageService {

    /**
     * 查询黑名单管理
     *
     * @param blackManageId 主键
     * @return 黑名单管理
     */
    BlackManageVo queryById(Long blackManageId);

    /**
     * 分页查询黑名单管理列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 黑名单管理分页列表
     */
    TableDataInfo<BlackManageVo> queryPageList(BlackManageBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的黑名单管理列表
     *
     * @param bo 查询条件
     * @return 黑名单管理列表
     */
    List<BlackManageVo> queryList(BlackManageBo bo);

    /**
     * 新增黑名单管理
     *
     * @param bo 黑名单管理
     * @return 是否新增成功
     */
    Boolean insertByBo(BlackManageBo bo);

    /**
     * 修改黑名单管理
     *
     * @param bo 黑名单管理
     * @return 是否修改成功
     */
    Boolean updateByBo(BlackManageBo bo);

    /**
     * 校验并批量删除黑名单管理信息
     *
     * @param ids     待删除的主键集合
     * @param isValid 是否进行有效性校验
     * @return 是否删除成功
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
