package org.dromara.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.domain.checkPoint.bo.CheckPointManageBo;
import org.dromara.domain.checkPoint.vo.CheckPointManageVo;

import java.util.Collection;
import java.util.List;

/**
 * 巡更点管理Service接口
 *
 * @author boman
 * @date 2025-04-11
 */
public interface ICheckPointManageService {

    /**
     * 查询巡更点管理
     *
     * @param checkPointManageId 主键
     * @return 巡更点管理
     */
    CheckPointManageVo queryById(Long checkPointManageId);

    /**
     * 分页查询巡更点管理列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 巡更点管理分页列表
     */
    TableDataInfo<CheckPointManageVo> queryPageList(CheckPointManageBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的巡更点管理列表
     *
     * @param bo 查询条件
     * @return 巡更点管理列表
     */
    List<CheckPointManageVo> queryList(CheckPointManageBo bo);

    /**
     * 新增巡更点管理
     *
     * @param bo 巡更点管理
     * @return 是否新增成功
     */
    Boolean insertByBo(CheckPointManageBo bo);

    /**
     * 修改巡更点管理
     *
     * @param bo 巡更点管理
     * @return 是否修改成功
     */
    Boolean updateByBo(CheckPointManageBo bo);

    /**
     * 校验并批量删除巡更点管理信息
     *
     * @param ids     待删除的主键集合
     * @param isValid 是否进行有效性校验
     * @return 是否删除成功
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
