package org.dromara.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.domain.proprietorCar.bo.ProprietorCarBo;
import org.dromara.domain.proprietorCar.vo.ProprietorCarVo;

import java.util.Collection;
import java.util.List;

/**
 * 业主车辆管理Service接口
 *
 * @author boman
 * @date 2025-04-11
 */
public interface IProprietorCarService {

    /**
     * 查询业主车辆管理
     *
     * @param carId 主键
     * @return 业主车辆管理
     */
    ProprietorCarVo queryById(Long carId);

    /**
     * 分页查询业主车辆管理列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 业主车辆管理分页列表
     */
    TableDataInfo<ProprietorCarVo> queryPageList(ProprietorCarBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的业主车辆管理列表
     *
     * @param bo 查询条件
     * @return 业主车辆管理列表
     */
    List<ProprietorCarVo> queryList(ProprietorCarBo bo);

    /**
     * 新增业主车辆管理
     *
     * @param bo 业主车辆管理
     * @return 是否新增成功
     */
    Boolean insertByBo(ProprietorCarBo bo);

    /**
     * 修改业主车辆管理
     *
     * @param bo 业主车辆管理
     * @return 是否修改成功
     */
    Boolean updateByBo(ProprietorCarBo bo);

    /**
     * 校验并批量删除业主车辆管理信息
     *
     * @param ids     待删除的主键集合
     * @param isValid 是否进行有效性校验
     * @return 是否删除成功
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
