package org.dromara.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.domain.suggestionFj.bo.SuggestionFjBo;
import org.dromara.domain.suggestionFj.vo.SuggestionFjVo;

import java.util.Collection;
import java.util.List;

/**
 * 投诉建议_附件Service接口
 *
 * @author boman
 * @date 2025-04-11
 */
public interface ISuggestionFjService {

    /**
     * 查询投诉建议_附件
     *
     * @param suggestionFjId 主键
     * @return 投诉建议_附件
     */
    SuggestionFjVo queryById(Long suggestionFjId);

    /**
     * 分页查询投诉建议_附件列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 投诉建议_附件分页列表
     */
    TableDataInfo<SuggestionFjVo> queryPageList(SuggestionFjBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的投诉建议_附件列表
     *
     * @param bo 查询条件
     * @return 投诉建议_附件列表
     */
    List<SuggestionFjVo> queryList(SuggestionFjBo bo);

    /**
     * 新增投诉建议_附件
     *
     * @param bo 投诉建议_附件
     * @return 是否新增成功
     */
    Boolean insertByBo(SuggestionFjBo bo);

    /**
     * 修改投诉建议_附件
     *
     * @param bo 投诉建议_附件
     * @return 是否修改成功
     */
    Boolean updateByBo(SuggestionFjBo bo);

    /**
     * 校验并批量删除投诉建议_附件信息
     *
     * @param ids     待删除的主键集合
     * @param isValid 是否进行有效性校验
     * @return 是否删除成功
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
